%define upstream_name    Net-Amazon-S3
%define upstream_version 0.91

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Perl6::Say\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An internal class to get a bucket's location constraint
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Stream::Bulk::Callback)
BuildRequires: perl(DateTime::Format::HTTP)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::MD5::File)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(LWP) >= 6.30.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent::Determined)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Moose) >= 0.850.0
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Object)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::StrictConstructor) >= 0.160.0
BuildRequires: perl(MooseX::Types::DateTime::MoreCoercions) >= 0.70.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Override)
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Term::ProgressBar::Simple)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::LWP::UserAgent)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::XPathContext)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildRequires: perl(sort)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a Perlish interface to Amazon S3. From the developer
blurb: "Amazon S3 is storage for the Internet. It is designed to make
web-scale computing easier for developers. Amazon S3 provides a simple web
services interface that can be used to store and retrieve any amount of
data, at any time, from anywhere on the web. It gives any developer access
to the same highly scalable, reliable, fast, inexpensive data storage
infrastructure that Amazon uses to run its own global network of web sites.
The service aims to maximize benefits of scale and to pass those benefits
on to developers".

To find out more about S3, please visit: https://s3.amazonaws.com/

To use this module you will need to sign up to Amazon Web Services and
provide an "Access Key ID" and " Secret Access Key". If you use this
module, you will incur costs as specified by Amazon. Please check the
costs. If you use this module with your Access Key ID and Secret Access Key
you must be responsible for these costs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/s3cl
%{_mandir}/man1/s3cl.1*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.910.0-2.mga9
+ Revision: 1831107
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 tv <tv> 0.910.0-1.mga8
+ Revision: 1617401
- update to 0.91

* Wed Aug 19 2020 tv <tv> 0.900.0-1.mga8
+ Revision: 1615761
- update to 0.90

* Fri Feb 21 2020 umeabot <umeabot> 0.890.0-2.mga8
+ Revision: 1547853
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 tv <tv> 0.890.0-1.mga8
+ Revision: 1511059
- update to 0.89

* Mon Feb 10 2020 shlomif <shlomif> 0.880.0-1.mga8
+ Revision: 1488509
- New version 0.880.0

* Tue Dec 10 2019 tv <tv> 0.870.0-1.mga8
+ Revision: 1465622
- update to 0.87

* Sat Apr 13 2019 tv <tv> 0.860.0-1.mga7
+ Revision: 1389642
- update to 0.86

* Thu Sep 20 2018 umeabot <umeabot> 0.850.0-2.mga7
+ Revision: 1285110
- Mageia 7 Mass Rebuild
+ shlomif <shlomif>
- New version 0.85

* Sat Aug 25 2018 shlomif <shlomif> 0.840.0-1.mga7
+ Revision: 1253970
- update to 0.84

* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-3.mga6
+ Revision: 1030942
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.800.0-2.mga6
+ Revision: 967241
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 shlomif <shlomif> 0.800.0-1.mga6
+ Revision: 848545
- New version 0.80

* Sat Oct 18 2014 shlomif <shlomif> 0.600.0-4.mga5
+ Revision: 787177
- Add __requires_exclude

* Wed Oct 15 2014 umeabot <umeabot> 0.600.0-3.mga5
+ Revision: 743311
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 0.600.0-1.mga5
+ Revision: 623293
- New version 0.60

* Sat Oct 19 2013 umeabot <umeabot> 0.590.0-2.mga4
+ Revision: 525693
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 shlomif <shlomif> 0.590.0-1.mga4
+ Revision: 434147
- New version 0.59

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 370499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.580.0-1.mga3
+ Revision: 330258
- update to 0.58

* Wed Nov 28 2012 shlomif <shlomif> 0.570.0-1.mga3
+ Revision: 322621
- imported package perl-Net-Amazon-S3


* Wed Nov 28 2012 cpan2dist 0.57-1mga
- initial mageia release, generated with cpan2dist
